- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Macros | Typedefs | Enumerations | Functions
Map

## Macros
#define | elm_obj_map_zoom_set(zoom) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_ZOOM_SET), EO_TYPECHECK(int, zoom)
#define | elm_obj_map_zoom_get(ret) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_ZOOM_GET), EO_TYPECHECK(int *, ret)
#define | elm_obj_map_zoom_mode_set(mode) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_ZOOM_MODE_SET), EO_TYPECHECK(Elm_Map_Zoom_Mode, mode)
#define | elm_obj_map_zoom_mode_get(ret) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_ZOOM_MODE_GET), EO_TYPECHECK(Elm_Map_Zoom_Mode *, ret)
#define | elm_obj_map_zoom_max_set(zoom) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_ZOOM_MAX_SET), EO_TYPECHECK(int, zoom)
#define | elm_obj_map_zoom_max_get(ret) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_ZOOM_MAX_GET), EO_TYPECHECK(int *, ret)
#define | elm_obj_map_zoom_min_set(zoom) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_ZOOM_MIN_SET), EO_TYPECHECK(int, zoom)
#define | elm_obj_map_zoom_min_get(ret) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_ZOOM_MIN_GET), EO_TYPECHECK(int *, ret)
#define | elm_obj_map_region_bring_in(lon, lat) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_REGION_BRING_IN), EO_TYPECHECK(double, lon), EO_TYPECHECK(double, lat)
#define | elm_obj_map_region_show(lon, lat) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_REGION_SHOW), EO_TYPECHECK(double, lon), EO_TYPECHECK(double, lat)
#define | elm_obj_map_region_get(lon, lat) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_REGION_GET), EO_TYPECHECK(double *, lon), EO_TYPECHECK(double *, lat)
#define | elm_obj_map_paused_set(paused) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_PAUSED_SET), EO_TYPECHECK(Eina_Bool, paused)
#define | elm_obj_map_paused_get(ret) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_PAUSED_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_map_rotate_set(degree, cx, cy) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_ROTATE_SET), EO_TYPECHECK(double, degree), EO_TYPECHECK(Evas_Coord, cx), EO_TYPECHECK(Evas_Coord, cy)
#define | elm_obj_map_rotate_get(degree, cx, cy) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_ROTATE_GET), EO_TYPECHECK(double *, degree), EO_TYPECHECK(Evas_Coord *, cx), EO_TYPECHECK(Evas_Coord *, cy)
#define | elm_obj_map_wheel_disabled_set(disabled) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_WHEEL_DISABLED_SET), EO_TYPECHECK(Eina_Bool, disabled)
#define | elm_obj_map_wheel_disabled_get(ret) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_WHEEL_DISABLED_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_map_tile_load_status_get(try_num, finish_num) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_TILE_LOAD_STATUS_GET), EO_TYPECHECK(int *, try_num), EO_TYPECHECK(int *, finish_num)
#define | elm_obj_map_canvas_to_region_convert(x, y, lon, lat) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_CANVAS_TO_REGION_CONVERT), EO_TYPECHECK(Evas_Coord, x), EO_TYPECHECK(Evas_Coord, y), EO_TYPECHECK(double *, lon), EO_TYPECHECK(double *, lat)
#define | elm_obj_map_region_to_canvas_convert(lon, lat, x, y) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_REGION_TO_CANVAS_CONVERT), EO_TYPECHECK(double, lon), EO_TYPECHECK(double, lat), EO_TYPECHECK(Evas_Coord *, x), EO_TYPECHECK(Evas_Coord *, y)
#define | elm_obj_map_user_agent_set(user_agent) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_USER_AGENT_SET), EO_TYPECHECK(const char *, user_agent)
#define | elm_obj_map_user_agent_get(ret) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_USER_AGENT_GET), EO_TYPECHECK(const char **, ret)
#define | elm_obj_map_source_set(type, source_name) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_SOURCE_SET), EO_TYPECHECK(Elm_Map_Source_Type, type), EO_TYPECHECK(const char *, source_name)
#define | elm_obj_map_source_get(type, ret) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_SOURCE_GET), EO_TYPECHECK(Elm_Map_Source_Type, type), EO_TYPECHECK(const char **, ret)
#define | elm_obj_map_sources_get(type, ret) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_SOURCES_GET), EO_TYPECHECK(Elm_Map_Source_Type, type), EO_TYPECHECK(const char ***, ret)
#define | elm_obj_map_route_add(type, method, flon, flat, tlon, tlat, route_cb, data, ret) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_ROUTE_ADD), EO_TYPECHECK(Elm_Map_Route_Type, type), EO_TYPECHECK(Elm_Map_Route_Method, method), EO_TYPECHECK(double, flon), EO_TYPECHECK(double, flat), EO_TYPECHECK(double, tlon), EO_TYPECHECK(double, tlat), EO_TYPECHECK(Elm_Map_Route_Cb, route_cb), EO_TYPECHECK(void *, data), EO_TYPECHECK(Elm_Map_Route **, ret)
#define | elm_obj_map_name_add(address, lon, lat, name_cb, data, ret) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_NAME_ADD), EO_TYPECHECK(const char *, address), EO_TYPECHECK(double, lon), EO_TYPECHECK(double, lat), EO_TYPECHECK(Elm_Map_Name_Cb, name_cb), EO_TYPECHECK(void *, data), EO_TYPECHECK(Elm_Map_Name **, ret)
#define | elm_obj_map_overlay_add(lon, lat, ret) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_OVERLAY_ADD), EO_TYPECHECK(double, lon), EO_TYPECHECK(double, lat), EO_TYPECHECK(Elm_Map_Overlay **, ret)
#define | elm_obj_map_overlays_get(ret) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_OVERLAYS_GET), EO_TYPECHECK(Eina_List **, ret)
#define | elm_obj_map_overlay_class_add(ret) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_OVERLAY_CLASS_ADD), EO_TYPECHECK(Elm_Map_Overlay **, ret)
#define | elm_obj_map_overlay_bubble_add(ret) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_OVERLAY_BUBBLE_ADD), EO_TYPECHECK(Elm_Map_Overlay **, ret)
#define | elm_obj_map_overlay_route_add(route, ret) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_OVERLAY_ROUTE_ADD), EO_TYPECHECK(const Elm_Map_Route *, route), EO_TYPECHECK(Elm_Map_Overlay **, ret)
#define | elm_obj_map_overlay_line_add(flon, flat, tlon, tlat, ret) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_OVERLAY_LINE_ADD), EO_TYPECHECK(double, flon), EO_TYPECHECK(double, flat), EO_TYPECHECK(double, tlon), EO_TYPECHECK(double, tlat), EO_TYPECHECK(Elm_Map_Overlay **, ret)
#define | elm_obj_map_overlay_polygon_add(ret) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_OVERLAY_POLYGON_ADD), EO_TYPECHECK(Elm_Map_Overlay **, ret)
#define | elm_obj_map_overlay_circle_add(lon, lat, radius, ret) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_OVERLAY_CIRCLE_ADD), EO_TYPECHECK(double, lon), EO_TYPECHECK(double, lat), EO_TYPECHECK(double, radius), EO_TYPECHECK(Elm_Map_Overlay **, ret)
#define | elm_obj_map_overlay_scale_add(x, y, ret) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_OVERLAY_SCALE_ADD), EO_TYPECHECK(Evas_Coord, x), EO_TYPECHECK(Evas_Coord, y), EO_TYPECHECK(Elm_Map_Overlay **, ret)
#define | elm_obj_map_track_add(emap, ret) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_TRACK_ADD), EO_TYPECHECK(void *, emap), EO_TYPECHECK(Evas_Object **, ret)
#define | elm_obj_map_track_remove(route) ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_TRACK_REMOVE), EO_TYPECHECK(Evas_Object *, route)

## Typedefs
typedef enum _Elm_Map_Overlay_Type | Elm_Map_Overlay_Type
| Set overlay type to be used. More...

## Enumerations
enum | Elm_Map_Zoom_Mode { ELM_MAP_ZOOM_MODE_MANUAL, ELM_MAP_ZOOM_MODE_AUTO_FIT, ELM_MAP_ZOOM_MODE_AUTO_FILL }
| Set map's zoom behavior. More...
enum | Elm_Map_Source_Type { ELM_MAP_SOURCE_TYPE_TILE, ELM_MAP_SOURCE_TYPE_ROUTE, ELM_MAP_SOURCE_TYPE_NAME }
| Set type of a external source (provider). More...
enum | Elm_Map_Route_Type { ELM_MAP_ROUTE_TYPE_MOTOCAR, ELM_MAP_ROUTE_TYPE_BICYCLE, ELM_MAP_ROUTE_TYPE_FOOT }
| Set type of transport used on route. More...
enum | Elm_Map_Route_Method { ELM_MAP_ROUTE_METHOD_FASTEST, ELM_MAP_ROUTE_METHOD_SHORTEST }
| Set the routing method, what should be prioritized, time or distance. More...
enum | Elm_Map_Name_Method
| Set the name search method. More...
enum | _Elm_Map_Overlay_Type
| Set overlay type to be used. More...

## Functions
void | elm_map_overlay_del (Elm_Map_Overlay *overlay)
| Delete a overlay from the map. More...
Elm_Map_Overlay_Type | elm_map_overlay_type_get (const Elm_Map_Overlay *overlay)
| Get the overlay type. More...
void | elm_map_overlay_data_set (Elm_Map_Overlay *overlay, void *data)
| Set a pointer of user data for a overlay. More...
void * | elm_map_overlay_data_get (const Elm_Map_Overlay *overlay)
| Get the user data stored on a overlay. More...
void | elm_map_overlay_hide_set (Elm_Map_Overlay *overlay, Eina_Bool hide)
| Set if the overlay is hidden or not. More...
Eina_Bool | elm_map_overlay_hide_get (const Elm_Map_Overlay *overlay)
| Get a value whether the overlay is hidden or not. More...
void | elm_map_overlay_displayed_zoom_min_set (Elm_Map_Overlay *overlay, int zoom)
| Set the minimum zoom from where the overlay is displayed. More...
int | elm_map_overlay_displayed_zoom_min_get (const Elm_Map_Overlay *overlay)
| Get the minimum zoom from where the overlay is displayed. More...
void | elm_map_overlay_paused_set (Elm_Map_Overlay *overlay, Eina_Bool paused)
| Pause or unpause the overlay. More...
Eina_Bool | elm_map_overlay_paused_get (const Elm_Map_Overlay *overlay)
| Get a value whether the overlay is paused or not. More...
Eina_Bool | elm_map_overlay_visible_get (const Elm_Map_Overlay *overlay)
| Get a value whether the overlay is visible or not. More...
void | elm_map_overlay_content_set (Elm_Map_Overlay *overlay, Evas_Object *obj)
| Set the content object of the overlay. More...
const Evas_Object * | elm_map_overlay_content_get (const Elm_Map_Overlay *overlay)
| Get the content object. More...
void | elm_map_overlay_icon_set (Elm_Map_Overlay *overlay, Evas_Object *icon)
| Set a icon of the overlay. More...
const Evas_Object * | elm_map_overlay_icon_get (const Elm_Map_Overlay *overlay)
| Get the icon object. More...
void | elm_map_overlay_region_set (Elm_Map_Overlay *overlay, double lon, double lat)
| Set the geographic coordinates of the overlay. More...
void | elm_map_overlay_region_get (const Elm_Map_Overlay *overlay, double *lon, double *lat)
| Get the geographic coordinates of the overlay. More...
void | elm_map_overlay_color_set (Elm_Map_Overlay *overlay, int r, int g, int b, int a)
| Set the object color of the overlay. More...
void | elm_map_overlay_color_get (const Elm_Map_Overlay *overlay, int *r, int *g, int *b, int *a)
| Get the object color of the overlay. More...
void | elm_map_overlay_show (Elm_Map_Overlay *overlay)
| Show the given overlay at the center of the map, immediately. More...
void | elm_map_overlays_show (Eina_List *overlays)
| Move and zoom the map to display a list of overlays. More...
void | elm_map_overlay_get_cb_set (Elm_Map_Overlay *overlay, Elm_Map_Overlay_Get_Cb get_cb, void *data)
| Set the get callback function of the overlay. More...
void | elm_map_overlay_del_cb_set (Elm_Map_Overlay *overlay, Elm_Map_Overlay_Del_Cb del_cb, void *data)
| Set the get callback function to call when the overlay is deleted. More...
void | elm_map_overlay_class_append (Elm_Map_Overlay *clas, Elm_Map_Overlay *overlay)
| Add a new overlay member to the class overlay. More...
void | elm_map_overlay_class_remove (Elm_Map_Overlay *clas, Elm_Map_Overlay *overlay)
| Remove a overlay from the class. More...
void | elm_map_overlay_class_zoom_max_set (Elm_Map_Overlay *clas, int zoom)
| Set the maximum zoom from where the overlay members in the class can be grouped. More...
int | elm_map_overlay_class_zoom_max_get (const Elm_Map_Overlay *clas)
| Get the maximum zoom from where the overlay members in the class can be grouped. More...
Eina_List * | elm_map_overlay_group_members_get (const Elm_Map_Overlay *grp)
| Get the overlay members of the group overlay. More...
void | elm_map_overlay_bubble_follow (Elm_Map_Overlay *bubble, const Elm_Map_Overlay *parent)
| Follow a other overlay. More...
void | elm_map_overlay_bubble_content_append (Elm_Map_Overlay *bubble, Evas_Object *content)
| Add a content object to the bubble overlay. More...
void | elm_map_overlay_bubble_content_clear (Elm_Map_Overlay *bubble)
| Clear all contents inside the bubble overlay. More...
void | elm_map_overlay_polygon_region_add (Elm_Map_Overlay *overlay, double lon, double lat)
| Add a geographic coordinates to the polygon overlay. More...
void | elm_map_route_del (Elm_Map_Route *route)
| Remove a route from the map. More...
double | elm_map_route_distance_get (const Elm_Map_Route *route)
| Get the route distance in kilometers. More...
const char * | elm_map_route_node_get (const Elm_Map_Route *route)
| Get the information of route nodes. More...
const char * | elm_map_route_waypoint_get (const Elm_Map_Route *route)
| Get the information of route waypoint. More...
const char * | elm_map_name_address_get (const Elm_Map_Name *name)
| Get the address of the name. More...
void | elm_map_name_region_get (const Elm_Map_Name *name, double *lon, double *lat)
| Get the current coordinates of the name. More...
void | elm_map_name_del (Elm_Map_Name *name)
| Remove a name from the map. More...
Evas_Object * | elm_map_add (Evas_Object *parent)
| Add a new map widget to the given parent Elementary (container) object. More...
void | elm_map_zoom_set (Evas_Object *obj, int zoom)
| Set the zoom level of the map. More...
int | elm_map_zoom_get (const Evas_Object *obj)
| Get the zoom level of the map. More...
void | elm_map_zoom_mode_set (Evas_Object *obj, Elm_Map_Zoom_Mode mode)
| Set the zoom mode used by the map object. More...
Elm_Map_Zoom_Mode | elm_map_zoom_mode_get (const Evas_Object *obj)
| Get the zoom mode used by the map object. More...
void | elm_map_zoom_max_set (Evas_Object *obj, int zoom)
| Set the maximum zoom of the source. More...
int | elm_map_zoom_max_get (const Evas_Object *obj)
| Get the maximum zoom of the source. More...
void | elm_map_zoom_min_set (Evas_Object *obj, int zoom)
| Set the minimum zoom of the source. More...
int | elm_map_zoom_min_get (const Evas_Object *obj)
| Get the minimum zoom of the source. More...
void | elm_map_region_bring_in (Evas_Object *obj, double lon, double lat)
| Animatedly bring in given coordinates to the center of the map. More...
void | elm_map_region_show (Evas_Object *obj, double lon, double lat)
| Show the given coordinates at the center of the map, immediately. More...
void | elm_map_region_get (const Evas_Object *obj, double *lon, double *lat)
| Get the current geographic coordinates of the map. More...
void | elm_map_paused_set (Evas_Object *obj, Eina_Bool paused)
| Pause or unpause the map. More...
Eina_Bool | elm_map_paused_get (const Evas_Object *obj)
| Get a value whether map is paused or not. More...
void | elm_map_rotate_set (Evas_Object *obj, double degree, Evas_Coord cx, Evas_Coord cy)
| Rotate the map. More...
void | elm_map_rotate_get (const Evas_Object *obj, double *degree, Evas_Coord *cx, Evas_Coord *cy)
| Get the rotate degree of the map. More...
void | elm_map_wheel_disabled_set (Evas_Object *obj, Eina_Bool disabled)
| Enable or disable mouse wheel to be used to zoom in / out the map. More...
Eina_Bool | elm_map_wheel_disabled_get (const Evas_Object *obj)
| Get a value whether mouse wheel is enabled or not. More...
void | elm_map_tile_load_status_get (const Evas_Object *obj, int *try_num, int *finish_num)
| Get the information of tile load status. More...
void | elm_map_canvas_to_region_convert (const Evas_Object *obj, const Evas_Coord x, const Evas_Coord y, double *lon, double *lat)
| Convert canvas coordinates into geographic coordinates (longitude, latitude). More...
void | elm_map_region_to_canvas_convert (const Evas_Object *obj, double lon, double lat, Evas_Coord *x, Evas_Coord *y)
| Convert geographic coordinates (longitude, latitude) into canvas coordinates. More...
void | elm_map_user_agent_set (Evas_Object *obj, const char *user_agent)
| Set the user agent used by the map object to access routing services. More...
const char * | elm_map_user_agent_get (const Evas_Object *obj)
| Get the user agent used by the map object. More...
void | elm_map_source_set (Evas_Object *obj, Elm_Map_Source_Type type, const char *source_name)
| Set the current source of the map for a specific type. More...
const char * | elm_map_source_get (const Evas_Object *obj, Elm_Map_Source_Type type)
| Get the name of currently used source for a specific type. More...
const char ** | elm_map_sources_get (const Evas_Object *obj, Elm_Map_Source_Type type)
| Get the names of available sources for a specific type. More...
Elm_Map_Route * | elm_map_route_add (Evas_Object *obj, Elm_Map_Route_Type type, Elm_Map_Route_Method method, double flon, double flat, double tlon, double tlat, Elm_Map_Route_Cb route_cb, void *data)
| Add a new route to the map object. More...
Elm_Map_Name * | elm_map_name_add (const Evas_Object *obj, const char *address, double lon, double lat, Elm_Map_Name_Cb name_cb, void *data)
| Request a address or geographic coordinates(longitude, latitude) from a given address or geographic coordinate(longitude, latitude). More...
Elm_Map_Overlay * | elm_map_overlay_add (Evas_Object *obj, double lon, double lat)
| Add a new overlay to the map object. More...
Eina_List * | elm_map_overlays_get (Evas_Object *obj)
| Return all overlays in the map object. More...
Elm_Map_Overlay * | elm_map_overlay_class_add (Evas_Object *obj)
| Add a new class overlay to the map object. More...
Elm_Map_Overlay * | elm_map_overlay_bubble_add (Evas_Object *obj)
| Add a new bubble overlay to the map object. More...
Elm_Map_Overlay * | elm_map_overlay_route_add (Evas_Object *obj, const Elm_Map_Route *route)
| Add a new route overlay to the map object. More...
Elm_Map_Overlay * | elm_map_overlay_line_add (Evas_Object *obj, double flon, double flat, double tlon, double tlat)
| Add a new line overlay to the map object. More...
Elm_Map_Overlay * | elm_map_overlay_polygon_add (Evas_Object *obj)
| Add a new polygon overlay to the map object. More...
Elm_Map_Overlay * | elm_map_overlay_circle_add (Evas_Object *obj, double lon, double lat, double radius)
| Add a new circle overlay to the map object. More...
Elm_Map_Overlay * | elm_map_overlay_scale_add (Evas_Object *obj, Evas_Coord x, Evas_Coord y)
| Add a new scale overlay to the map object. More...
Evas_Object * | elm_map_track_add (Evas_Object *obj, void *emap)
| Add a track on the map. More...
void | elm_map_track_remove (Evas_Object *obj, Evas_Object *route)
| Remove a track from the map. More...

## Detailed Description

This is a widget specifically for displaying a map. It uses basically OpenStreetMap provider http://www.openstreetmap.org/, but custom providers can be added.

It supports some basic but yet nice features:

- zooming and scrolling,
- markers with content to be displayed when user clicks over them,
- group of markers and
- routes.

This widget implements the elm-scrollable-interface interface, so that all (non-deprecated) functions for the base Scroller widget also work for map objects.

Smart callbacks one can listen to:

- `"clicked"` - This is called when a user has clicked the map without dragging around.
- `"clicked,double"` - This is called when a user has double-clicked the map.
- `"press"` - This is called when a user has pressed down on the map.
- `"longpressed"` - This is called when a user has pressed down on the map `for` a long time without dragging around.
- `"scroll"` - the content has been scrolled (moved).
- `"scroll,drag,start"` - dragging the contents around has started.
- `"scroll,drag,stop"` - dragging the contents around has stopped.
- `"scroll,anim,start"` - scrolling animation has started.
- `"scroll,anim,stop"` - scrolling animation has stopped.
- `"zoom,start"` - Zoom animation started.
- `"zoom,stop"` - Zoom animation stopped.
- `"zoom,change"` - Zoom changed when using an auto zoom mode.
- `"tile,load"` - A map tile image load begins.
- `"tile,loaded"` - A map tile image load ends.
- `"tile,loaded,fail"` - A map tile image load fails.
- `"route,load"` - Route request begins.
- `"route,loaded"` - Route request ends.
- `"route,loaded,fail"` - Route request fails.
- `"name,load"` - Name request begins.
- `"name,loaded"` - Name request ends.
- `"name,loaded,fail"` - Name request fails.
- `"overlay,clicked"` - A overlay is clicked.
- `"loaded"` - when a map is finally loaded. (since 1.7)
- `"language,changed"` - the program's language changed
- `"focused"` - When the map has received focus. (since 1.8)
- `"unfocused"` - When the map has lost focus. (since 1.8)

Available style for map widget:

- `"default"`

Available style for markers:

- `"radio"`
- `"radio2"`
- `"empty"`

Available style for marker bubble:

- `"default"`

List of examples:

- Map Example - Creation and Zoom
- Map Example - Overlay Usage
- Map Example - Route and Name Usage

## Macro Definition Documentation

#define elm_obj_map_canvas_to_region_convert | ( |  | x,
|  |  | y,
|  |  | lon,
|  |  | lat
| ) |  | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_CANVAS_TO_REGION_CONVERT), EO_TYPECHECK(Evas_Coord, x), EO_TYPECHECK(Evas_Coord, y), EO_TYPECHECK(double *, lon), EO_TYPECHECK(double *, lat)

Since
  1.8

Convert canvas coordinates into geographic coordinates

Parameters

  [in] | x |
  [in] | y |
  [out] | lon |
  [out] | lat |

See Also
  elm_map_canvas_to_region_convert

Referenced by elm_map_canvas_to_region_convert().

#define elm_obj_map_name_add | ( |  | address,
|  |  | lon,
|  |  | lat,
|  |  | name_cb,
|  |  | data,
|  |  | ret
| ) |  | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_NAME_ADD), EO_TYPECHECK(const char *, address), EO_TYPECHECK(double, lon), EO_TYPECHECK(double, lat), EO_TYPECHECK(Elm_Map_Name_Cb, name_cb), EO_TYPECHECK(void *, data), EO_TYPECHECK(Elm_Map_Name **, ret)

Since
  1.8

Request a address or geographic coordinates(longitude, latitude)

Parameters

  [in] | address |
  [in] | lon |
  [in] | lat |
  [in] | name_cb |
  [in] | data |
  [out] | ret |

See Also
  elm_map_name_add

Referenced by elm_map_name_add().

#define elm_obj_map_overlay_add | ( |  | lon,
|  |  | lat,
|  |  | ret
| ) |  | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_OVERLAY_ADD), EO_TYPECHECK(double, lon), EO_TYPECHECK(double, lat), EO_TYPECHECK(Elm_Map_Overlay **, ret)

Since
  1.8

Add a new overlay to the map object. This overlay has a default type.

Parameters

  [in] | lon |
  [in] | lat |
  [out] | ret |

See Also
  elm_map_overlay_add

Referenced by elm_map_overlay_add().

#define elm_obj_map_overlay_bubble_add | ( |  | ret | ) | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_OVERLAY_BUBBLE_ADD), EO_TYPECHECK(Elm_Map_Overlay **, ret)

Since
  1.8

Add a new bubble overlay to the map object.

Parameters

  [out] | ret |

See Also
  elm_map_overlay_bubble_add

Referenced by elm_map_overlay_bubble_add().

#define elm_obj_map_overlay_circle_add | ( |  | lon,
|  |  | lat,
|  |  | radius,
|  |  | ret
| ) |  | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_OVERLAY_CIRCLE_ADD), EO_TYPECHECK(double, lon), EO_TYPECHECK(double, lat), EO_TYPECHECK(double, radius), EO_TYPECHECK(Elm_Map_Overlay **, ret)

Since
  1.8

Add a new circle overlay to the map object.

Parameters

  [in] | lon |
  [in] | lat |
  [in] | radius |
  [out] | ret |

See Also
  elm_map_overlay_circle_add

Referenced by elm_map_overlay_circle_add().

#define elm_obj_map_overlay_class_add | ( |  | ret | ) | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_OVERLAY_CLASS_ADD), EO_TYPECHECK(Elm_Map_Overlay **, ret)

Since
  1.8

Add a new class overlay to the map object.

Parameters

  [out] | ret |

See Also
  elm_map_overlay_class_add

Referenced by elm_map_overlay_class_add().

#define elm_obj_map_overlay_line_add | ( |  | flon,
|  |  | flat,
|  |  | tlon,
|  |  | tlat,
|  |  | ret
| ) |  | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_OVERLAY_LINE_ADD), EO_TYPECHECK(double, flon), EO_TYPECHECK(double, flat), EO_TYPECHECK(double, tlon), EO_TYPECHECK(double, tlat), EO_TYPECHECK(Elm_Map_Overlay **, ret)

Since
  1.8

Add a new line overlay to the map object.

Parameters

  [in] | flon |
  [in] | flat |
  [in] | tlon |
  [in] | tlat |
  [out] | ret |

See Also
  elm_map_overlay_line_add

Referenced by elm_map_overlay_line_add().

#define elm_obj_map_overlay_polygon_add | ( |  | ret | ) | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_OVERLAY_POLYGON_ADD), EO_TYPECHECK(Elm_Map_Overlay **, ret)

Since
  1.8

Add a new polygon overlay to the map object.

Parameters

  [out] | ret |

See Also
  elm_map_overlay_polygon_add

Referenced by elm_map_overlay_polygon_add().

#define elm_obj_map_overlay_route_add | ( |  | route,
|  |  | ret
| ) |  | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_OVERLAY_ROUTE_ADD), EO_TYPECHECK(const Elm_Map_Route *, route), EO_TYPECHECK(Elm_Map_Overlay **, ret)

Since
  1.8

Add a new route overlay to the map object.

Parameters

  [in] | route |
  [out] | ret |

See Also
  elm_map_overlay_route_add

Referenced by elm_map_overlay_route_add().

#define elm_obj_map_overlay_scale_add | ( |  | x,
|  |  | y,
|  |  | ret
| ) |  | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_OVERLAY_SCALE_ADD), EO_TYPECHECK(Evas_Coord, x), EO_TYPECHECK(Evas_Coord, y), EO_TYPECHECK(Elm_Map_Overlay **, ret)

Since
  1.8

Add a new scale overlay to the map object.

Parameters

  [in] | x |
  [in] | y |
  [out] | ret |

See Also
  elm_map_overlay_scale_add

Referenced by elm_map_overlay_scale_add().

#define elm_obj_map_overlays_get | ( |  | ret | ) | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_OVERLAYS_GET), EO_TYPECHECK(Eina_List **, ret)

Since
  1.8

Return all overlays in the map object.

Parameters

  [out] | ret |

See Also
  elm_map_overlays_get

Referenced by elm_map_overlays_get().

#define elm_obj_map_paused_get | ( |  | ret | ) | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_PAUSED_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get a value whether map is paused or not.

Parameters

  [out] | ret |

See Also
  elm_map_paused_get

Referenced by elm_map_paused_get().

#define elm_obj_map_paused_set | ( |  | paused | ) | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_PAUSED_SET), EO_TYPECHECK(Eina_Bool, paused)

Since
  1.8

Pause or unpause the map.

Parameters

  [in] | paused |

See Also
  elm_map_paused_set

Referenced by elm_map_paused_set().

#define elm_obj_map_region_bring_in | ( |  | lon,
|  |  | lat
| ) |  | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_REGION_BRING_IN), EO_TYPECHECK(double, lon), EO_TYPECHECK(double, lat)

Since
  1.8

Animatedly bring in given coordinates to the center of the map.

Parameters

  [in] | lon |
  [in] | lat |

See Also
  elm_map_region_bring_in

Referenced by elm_map_region_bring_in().

#define elm_obj_map_region_get | ( |  | lon,
|  |  | lat
| ) |  | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_REGION_GET), EO_TYPECHECK(double *, lon), EO_TYPECHECK(double *, lat)

Since
  1.8

Get the current geographic coordinates of the map.

Parameters

  [out] | lon |
  [out] | lat |

See Also
  elm_map_region_get

Referenced by elm_map_region_get().

#define elm_obj_map_region_show | ( |  | lon,
|  |  | lat
| ) |  | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_REGION_SHOW), EO_TYPECHECK(double, lon), EO_TYPECHECK(double, lat)

Since
  1.8

Show the given coordinates at the center of the map, immediately.

Parameters

  [in] | lon |
  [in] | lat |

See Also
  elm_map_region_show

Referenced by elm_map_region_show().

#define elm_obj_map_region_to_canvas_convert | ( |  | lon,
|  |  | lat,
|  |  | x,
|  |  | y
| ) |  | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_REGION_TO_CANVAS_CONVERT), EO_TYPECHECK(double, lon), EO_TYPECHECK(double, lat), EO_TYPECHECK(Evas_Coord *, x), EO_TYPECHECK(Evas_Coord *, y)

Since
  1.8

Convert geographic coordinates (longitude, latitude)

Parameters

  [in] | lon |
  [in] | lat |
  [out] | x |
  [out] | y |

See Also
  elm_map_region_to_canvas_convert

Referenced by elm_map_region_to_canvas_convert().

#define elm_obj_map_rotate_get | ( |  | degree,
|  |  | cx,
|  |  | cy
| ) |  | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_ROTATE_GET), EO_TYPECHECK(double *, degree), EO_TYPECHECK(Evas_Coord *, cx), EO_TYPECHECK(Evas_Coord *, cy)

Since
  1.8

Get the rotate degree of the map

Parameters

  [out] | degree |
  [out] | cx |
  [out] | cy |

See Also
  elm_map_rotate_get

Referenced by elm_map_rotate_get().

#define elm_obj_map_rotate_set | ( |  | degree,
|  |  | cx,
|  |  | cy
| ) |  | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_ROTATE_SET), EO_TYPECHECK(double, degree), EO_TYPECHECK(Evas_Coord, cx), EO_TYPECHECK(Evas_Coord, cy)

Since
  1.8

Rotate the map.

Parameters

  [in] | degree |
  [in] | cx |
  [in] | cy |

See Also
  elm_map_rotate_set

Referenced by elm_map_rotate_set().

#define elm_obj_map_route_add | ( |  | type,
|  |  | method,
|  |  | flon,
|  |  | flat,
|  |  | tlon,
|  |  | tlat,
|  |  | route_cb,
|  |  | data,
|  |  | ret
| ) |  | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_ROUTE_ADD), EO_TYPECHECK(Elm_Map_Route_Type, type), EO_TYPECHECK(Elm_Map_Route_Method, method), EO_TYPECHECK(double, flon), EO_TYPECHECK(double, flat), EO_TYPECHECK(double, tlon), EO_TYPECHECK(double, tlat), EO_TYPECHECK(Elm_Map_Route_Cb, route_cb), EO_TYPECHECK(void *, data), EO_TYPECHECK(Elm_Map_Route **, ret)

Since
  1.8

Add a new route to the map object.

Parameters

  [in] | type |
  [in] | method |
  [in] | flon |
  [in] | flat |
  [in] | tlon |
  [in] | tlat |
  [in] | route_cb |
  [in] | data |
  [out] | ret |

See Also
  elm_map_route_add

Referenced by elm_map_route_add().

#define elm_obj_map_source_get | ( |  | type,
|  |  | ret
| ) |  | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_SOURCE_GET), EO_TYPECHECK(Elm_Map_Source_Type, type), EO_TYPECHECK(const char **, ret)

Since
  1.8

Get the name of currently used source for a specific type.

Parameters

  [in] | type |
  [out] | ret |

See Also
  elm_map_source_get

Referenced by elm_map_source_get().

#define elm_obj_map_source_set | ( |  | type,
|  |  | source_name
| ) |  | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_SOURCE_SET), EO_TYPECHECK(Elm_Map_Source_Type, type), EO_TYPECHECK(const char *, source_name)

Since
  1.8

Set the current source of the map for a specific type.

Parameters

  [in] | type |
  [in] | source_name |

See Also
  elm_map_source_set

Referenced by elm_map_source_set().

#define elm_obj_map_sources_get | ( |  | type,
|  |  | ret
| ) |  | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_SOURCES_GET), EO_TYPECHECK(Elm_Map_Source_Type, type), EO_TYPECHECK(const char ***, ret)

Since
  1.8

Get the names of available sources for a specific type.

Parameters

  [in] | type |
  [out] | ret |

See Also
  elm_map_sources_get

Referenced by elm_map_sources_get().

#define elm_obj_map_tile_load_status_get | ( |  | try_num,
|  |  | finish_num
| ) |  | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_TILE_LOAD_STATUS_GET), EO_TYPECHECK(int *, try_num), EO_TYPECHECK(int *, finish_num)

Since
  1.8

Get the information of tile load status.

Parameters

  [out] | try_num |
  [out] | finish_num |

See Also
  elm_map_tile_load_status_get

Referenced by elm_map_tile_load_status_get().

#define elm_obj_map_track_add | ( |  | emap,
|  |  | ret
| ) |  | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_TRACK_ADD), EO_TYPECHECK(void *, emap), EO_TYPECHECK(Evas_Object **, ret)

Since
  1.8

Add a track on the map

Parameters

  [in] | emap |
  [out] | ret |

See Also
  elm_map_track_add

#define elm_obj_map_track_remove | ( |  | route | ) | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_TRACK_REMOVE), EO_TYPECHECK(Evas_Object *, route)

Since
  1.8

Remove a track from the map

Parameters

  [in] | route |

See Also
  elm_map_track_remove

#define elm_obj_map_user_agent_get | ( |  | ret | ) | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_USER_AGENT_GET), EO_TYPECHECK(const char **, ret)

Since
  1.8

Get the user agent used by the map object.

Parameters

  [out] | ret |

See Also
  elm_map_user_agent_get

Referenced by elm_map_user_agent_get().

#define elm_obj_map_user_agent_set | ( |  | user_agent | ) | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_USER_AGENT_SET), EO_TYPECHECK(const char *, user_agent)

Since
  1.8

Set the user agent used by the map object to access routing services.

Parameters

  [in] | user_agent |

See Also
  elm_map_user_agent_set

Referenced by elm_map_user_agent_set().

#define elm_obj_map_wheel_disabled_get | ( |  | ret | ) | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_WHEEL_DISABLED_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get a value whether mouse wheel is enabled or not.

Parameters

  [out] | ret |

See Also
  elm_map_wheel_disabled_get

Referenced by elm_map_wheel_disabled_get().

#define elm_obj_map_wheel_disabled_set | ( |  | disabled | ) | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_WHEEL_DISABLED_SET), EO_TYPECHECK(Eina_Bool, disabled)

Since
  1.8

Enable or disable mouse wheel to be used to zoom in / out the map.

Parameters

  [in] | disabled |

See Also
  elm_map_wheel_disabled_set

Referenced by elm_map_wheel_disabled_set().

#define elm_obj_map_zoom_get | ( |  | ret | ) | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_ZOOM_GET), EO_TYPECHECK(int *, ret)

Since
  1.8

Get the zoom level of the map.

Parameters

  [out] | ret |

See Also
  elm_map_zoom_get

Referenced by elm_map_zoom_get().

#define elm_obj_map_zoom_max_get | ( |  | ret | ) | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_ZOOM_MAX_GET), EO_TYPECHECK(int *, ret)

Since
  1.8

Get the maximum zoom of the source.

Parameters

  [out] | ret |

See Also
  elm_map_zoom_max_get

Referenced by elm_map_zoom_max_get().

#define elm_obj_map_zoom_max_set | ( |  | zoom | ) | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_ZOOM_MAX_SET), EO_TYPECHECK(int, zoom)

Since
  1.8

Set the maximum zoom of the source.

Parameters

  [in] | zoom |

See Also
  elm_map_zoom_max_set

Referenced by elm_map_zoom_max_set().

#define elm_obj_map_zoom_min_get | ( |  | ret | ) | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_ZOOM_MIN_GET), EO_TYPECHECK(int *, ret)

Since
  1.8

Get the minimum zoom of the source.

Parameters

  [out] | ret |

See Also
  elm_map_zoom_min_get

Referenced by elm_map_zoom_min_get().

#define elm_obj_map_zoom_min_set | ( |  | zoom | ) | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_ZOOM_MIN_SET), EO_TYPECHECK(int, zoom)

Since
  1.8

Set the minimum zoom of the source.

Parameters

  [in] | zoom |

See Also
  elm_map_zoom_min_set

Referenced by elm_map_zoom_min_set().

#define elm_obj_map_zoom_mode_get | ( |  | ret | ) | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_ZOOM_MODE_GET), EO_TYPECHECK(Elm_Map_Zoom_Mode *, ret)

Since
  1.8

Get the zoom mode used by the map object.

Parameters

  [out] | ret |

See Also
  elm_map_zoom_mode_get

Referenced by elm_map_zoom_mode_get().

#define elm_obj_map_zoom_mode_set | ( |  | mode | ) | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_ZOOM_MODE_SET), EO_TYPECHECK(Elm_Map_Zoom_Mode, mode)

Since
  1.8

Set the zoom mode used by the map object.

Parameters

  [in] | mode |

See Also
  elm_map_zoom_mode_set

Referenced by elm_map_zoom_mode_set().

#define elm_obj_map_zoom_set | ( |  | zoom | ) | ELM_OBJ_MAP_ID(ELM_OBJ_MAP_SUB_ID_ZOOM_SET), EO_TYPECHECK(int, zoom)

Since
  1.8

Set the zoom level of the map.

Parameters

  [in] | zoom |

See Also
  elm_map_zoom_set

Referenced by elm_map_zoom_set().

## Typedef Documentation

typedef enum _Elm_Map_Overlay_Type Elm_Map_Overlay_Type

Set overlay type to be used.

This type is resolved when the overlay is created. You can get this value by elm_map_overlay_type_get().

See Also
  elm_map_overlay_type_get()
  elm_map_overlay_add()
  elm_map_overlay_class_add()
  elm_map_overlay_bubble_add()

## Enumeration Type Documentation

enum _Elm_Map_Overlay_Type

Set overlay type to be used.

This type is resolved when the overlay is created. You can get this value by elm_map_overlay_type_get().

See Also
  elm_map_overlay_type_get()
  elm_map_overlay_add()
  elm_map_overlay_class_add()
  elm_map_overlay_bubble_add()

enum Elm_Map_Name_Method

Set the name search method.

This is for name module interface.

enum Elm_Map_Route_Method

Set the routing method, what should be prioritized, time or distance.

See Also
  elm_map_route_add()

Enumerator
ELM_MAP_ROUTE_METHOD_FASTEST | Route should prioritize time.
ELM_MAP_ROUTE_METHOD_SHORTEST | Route should prioritize distance.

enum Elm_Map_Route_Type

Set type of transport used on route.

See Also
  elm_map_route_add()

Enumerator
ELM_MAP_ROUTE_TYPE_MOTOCAR | Route should consider an automobile will be used.
ELM_MAP_ROUTE_TYPE_BICYCLE | Route should consider a bicycle will be used by the user.
ELM_MAP_ROUTE_TYPE_FOOT | Route should consider user will be walking.

enum Elm_Map_Source_Type

Set type of a external source (provider).

See Also
  elm_map_sources_get()
  elm_map_source_get()
  elm_map_source_set()

Enumerator
ELM_MAP_SOURCE_TYPE_TILE | Map tile provider.
ELM_MAP_SOURCE_TYPE_ROUTE | Route service provider.
ELM_MAP_SOURCE_TYPE_NAME | Name service provider.

enum Elm_Map_Zoom_Mode

Set map's zoom behavior.

It can be set to manual or automatic.

Default value is ELM_MAP_ZOOM_MODE_MANUAL.

Values don't work as bitmask, only one can be chosen.

Note
  Valid sizes are 2^zoom, consequently the map may be smaller than the scroller view.

See Also
  elm_map_zoom_mode_set()
  elm_map_zoom_mode_get()

Enumerator
ELM_MAP_ZOOM_MODE_MANUAL | Zoom controlled manually by elm_map_zoom_set(). It's set by default.
ELM_MAP_ZOOM_MODE_AUTO_FIT | Zoom until map fits inside the scroll frame with no pixels outside this area.
ELM_MAP_ZOOM_MODE_AUTO_FILL | Zoom until map fills scroll, ensuring no pixels are left unfilled.

## Function Documentation

Evas_Object* elm_map_add | ( | Evas_Object * | parent | ) |

Add a new map widget to the given parent Elementary (container) object.

Parameters

  parent | The parent object.

Returns
  a new map widget handle or `NULL`, on errors.

This function inserts a new map widget on the canvas.

void elm_map_canvas_to_region_convert | ( | const Evas_Object * | obj,
|  | const Evas_Coord | x,
|  | const Evas_Coord | y,
|  | double * | lon,
|  | double * | lat
| ) |  |

Convert canvas coordinates into geographic coordinates (longitude, latitude).

Parameters

  obj | The map object.
  x | horizontal coordinate of the point to convert.
  y | vertical coordinate of the point to convert.
  lon | A pointer to the longitude.
  lat | A pointer to the latitude.

This gets longitude and latitude from canvas x, y coordinates. The canvas coordinates mean x, y coordinate from current viewport.

see elm_map_region_to_canvas_convert()

References elm_obj_map_canvas_to_region_convert.

Elm_Map_Name* elm_map_name_add | ( | const Evas_Object * | obj,
|  | const char * | address,
|  | double | lon,
|  | double | lat,
|  | Elm_Map_Name_Cb | name_cb,
|  | void * | data
| ) |  |

Request a address or geographic coordinates(longitude, latitude) from a given address or geographic coordinate(longitude, latitude).

Parameters

  obj | The map object.
  address | The address.
  lon | The longitude.
  lat | The latitude.
  name_cb | The callback function.
  data | The user callback data.

Returns
  name A #Elm_Map_Name handle for this coordinate.

If you want to get address from geographic coordinates, set input `address` as `NULL` and set `lon`, `lat` as you want to convert. If address is set except NULL, `lon` and `lat` are checked.

To get the string for this address, elm_map_name_address_get() should be used after callback or "name,loaded" signal is called.

To get the longitude and latitude, elm_map_name_region_get() should be used.

References elm_obj_map_name_add.

const char* elm_map_name_address_get | ( | const Elm_Map_Name * | name | ) |

Get the address of the name.

Parameters

  name | The name handle.

Returns
  Returns the address string of `name`.

This gets the coordinates of the `name`, created with one of the conversion functions.

See Also
  elm_map_name_add()

void elm_map_name_del | ( | Elm_Map_Name * | name | ) |

Remove a name from the map.

Parameters

  name | The name to remove.

Basically the struct handled by `name` will be freed, so conversions between address and coordinates will be lost.

See Also
  elm_map_name_add()

void elm_map_name_region_get | ( | const Elm_Map_Name * | name,
|  | double * | lon,
|  | double * | lat
| ) |  |

Get the current coordinates of the name.

Parameters

  name | The name handle.
  lat | Pointer to store the latitude.
  lon | Pointer to store The longitude.

This gets the coordinates of the `name`, created with one of the conversion functions.

See Also
  elm_map_name_add()

Elm_Map_Overlay* elm_map_overlay_add | ( | Evas_Object * | obj,
|  | double | lon,
|  | double | lat
| ) |  |

Add a new overlay to the map object.

This overlay has a default type.

Parameters

  obj | The map object to add a new overlay.
  lon | The longitude of the overlay.
  lat | The latitude of the overlay.

Returns
  The created overlay or `NULL` upon failure.

A overlay will be created and shown in a specific point of the map, defined by `lon` and `lat`.

The created overlay has a default style layout before content or icon is set. If content or icon is set, those are displayed instead of default style layout. You can set by using elm_map_overlay_content_set() or elm_map_overlay_icon_set(). If NULL is set, default style is shown again.

Overlay created with this method can be deleted by elm_map_overlay_del().

See Also
  elm_map_overlay_del()
  elm_map_overlay_class_add()
  elm_map_overlay_bubble_add()
  elm_map_overlay_content_set()
  elm_map_overlay_icon_set()

References elm_obj_map_overlay_add.

Elm_Map_Overlay* elm_map_overlay_bubble_add | ( | Evas_Object * | obj | ) |

Add a new bubble overlay to the map object.

This overlay has a bubble type.

Parameters

  obj | The map object to add a new overlay.

Returns
  The created overlay or `NULL` upon failure.

A bubble will not be displayed before geographic coordinates are set or any other overlays are followed.

This overlay has a bubble style layout and icon or content can not be set.

Overlay created with this method can be deleted with elm_map_overlay_del().

See Also
  elm_map_overlay_del()
  elm_map_overlay_add()
  elm_map_overlay_class_add()
  elm_map_overlay_region_set()
  elm_map_overlay_bubble_follow()

References elm_obj_map_overlay_bubble_add.

void elm_map_overlay_bubble_content_append | ( | Elm_Map_Overlay * | bubble,
|  | Evas_Object * | content
| ) |  |

Add a content object to the bubble overlay.

Parameters

  bubble | The bubble overlay to add a content.
  content | The content to be added to the bubble overlay.

Added contents will be displayed inside the bubble overlay.

See Also
  elm_map_overlay_bubble_content_clear()

References elm_box_pack_end().

void elm_map_overlay_bubble_content_clear | ( | Elm_Map_Overlay * | bubble | ) |

Clear all contents inside the bubble overlay.

Parameters

  bubble | The bubble overlay to clear the contents.

This will delete all contents inside the bubble overlay.

See Also
  elm_map_overlay_bubble_content_append()

References elm_box_clear().

void elm_map_overlay_bubble_follow | ( | Elm_Map_Overlay * | bubble,
|  | const Elm_Map_Overlay * | parent
| ) |  |

Follow a other overlay.

Parameters

  bubble | The bubble overlay to follow a parent overlay.
  parent | The parent overlay to be followed by the bubble overlay.

Bubble overlay will follow the parent overlay's movement (hide, show, move).

See Also
  elm_map_overlay_bubble_add()

Elm_Map_Overlay* elm_map_overlay_circle_add | ( | Evas_Object * | obj,
|  | double | lon,
|  | double | lat,
|  | double | radius
| ) |  |

Add a new circle overlay to the map object.

This overlay has a circle type.

Parameters

  obj | The map object to add a new overlay.
  lon | The center longitude.
  lat | The center latitude.
  radius | The pixel length of radius.

Returns
  The created overlay or `NULL` upon failure.

Overlay created with this method can be deleted with elm_map_overlay_del().

See Also
  elm_map_overlay_del()

References elm_obj_map_overlay_circle_add.

Elm_Map_Overlay* elm_map_overlay_class_add | ( | Evas_Object * | obj | ) |

Add a new class overlay to the map object.

This overlay has a class type.

Parameters

  obj | The map object to add a new overlay.

Returns
  The created overlay or `NULL` upon failure.

This overlay is not shown before overlay members are appended. if overlay members in the same class are close, group overlays are created. If they are far away, group overlays are hidden. When group overlays are shown, they have default style layouts at first.

You can change the state (hidden, paused, etc.) or set the content or icon of the group overlays by chaning the state of the class overlay. Do not modify the group overlay itself.

Also these changes have a influence on the overlays in the same class even if each overlay is alone and is not grouped.

See Also
  elm_map_overlay_del()
  elm_map_overlay_add()
  elm_map_overlay_bubble_add()

References elm_obj_map_overlay_class_add.

void elm_map_overlay_class_append | ( | Elm_Map_Overlay * | clas,
|  | Elm_Map_Overlay * | overlay
| ) |  |

Add a new overlay member to the class overlay.

Parameters

  clas | The class overlay to add a new overlay.
  overlay | The overlay to be added to the class overlay.

See Also
  elm_map_overlay_class_remove()

void elm_map_overlay_class_remove | ( | Elm_Map_Overlay * | clas,
|  | Elm_Map_Overlay * | overlay
| ) |  |

Remove a overlay from the class.

Parameters

  clas | The class overlay to delete the overlay.
  overlay | The overlay to be deleted from the class overlay.

See Also
  elm_map_overlay_class_append()

Referenced by elm_map_overlay_del().

int elm_map_overlay_class_zoom_max_get | ( | const Elm_Map_Overlay * | clas | ) |

Get the maximum zoom from where the overlay members in the class can be grouped.

Parameters

  clas | The overlay class has overlay members.

Returns
  The maximum zoom.

See Also
  elm_map_overlay_class_zoom_max_set()

void elm_map_overlay_class_zoom_max_set | ( | Elm_Map_Overlay * | clas,
|  | int | zoom
| ) |  |

Set the maximum zoom from where the overlay members in the class can be grouped.

Parameters

  clas | The overlay class has overlay members.
  zoom | The maximum zoom.

Overlay members in the class only will be grouped when the map is displayed at less than `zoom`.

See Also
  elm_map_overlay_class_zoom_max_get()

void elm_map_overlay_color_get | ( | const Elm_Map_Overlay * | overlay,
|  | int * | r,
|  | int * | g,
|  | int * | b,
|  | int * | a
| ) |  |

Get the object color of the overlay.

Parameters

  overlay | The overlay to return color.
  r | Pointer to store the red channel value.
  g | Pointer to store the green channel value.
  b | Pointer to store the blue channel value.
  a | Pointer to store the alpha channel value.

See Also
  elm_map_overlay_color_set()

void elm_map_overlay_color_set | ( | Elm_Map_Overlay * | overlay,
|  | int | r,
|  | int | g,
|  | int | b,
|  | int | a
| ) |  |

Set the object color of the overlay.

Parameters

  overlay | The overlay to be set color.
  r | Red channel value, from 0 to 255.
  g | Green channel value, from 0 to 255.
  b | Blue channel value, from 0 to 255.
  a | Alpha channel value, from 0 to 255.

It uses an additive color model, so each color channel represents how much of each primary colors must to be used. 0 represents absence of this color, so if all of the three are set to 0, the color will be black.

These component values should be integers in the range 0 to 255, (single 8-bit byte).

This sets the color used for the overlay. By default, it is set to solid red (r = 255, g = 0, b = 0, a = 255).

For alpha channel, 0 represents completely transparent, and 255, opaque.

Function supports only ELM_MAP_OVERLAY_TYPE_CLASS, ELM_MAP_OVERLAY_TYPE_DEFAULT and ELM_MAP_OVERLAY_TYPE_ROUTE Elm_Map_Overlay_Type types.

See Also
  elm_map_overlay_color_get()

const Evas_Object* elm_map_overlay_content_get | ( | const Elm_Map_Overlay * | overlay | ) |

Get the content object.

Parameters

  overlay | The overlay to return the content.

Returns
  Return the evas object if it exists, else `NULL`.

Only default and class type overlay support this function.

Returned content is what being inside the overlay that being displayed.

Do not modify this object (move, show, hide, del, etc.). You can only resize this.

The content can be set by elm_map_overlay_content_set().

See Also
  elm_map_overlay_content_set()

void elm_map_overlay_content_set | ( | Elm_Map_Overlay * | overlay,
|  | Evas_Object * | obj
| ) |  |

Set the content object of the overlay.

Parameters

  overlay | The overlay to be set the content.
  obj | The evas object will be used to display the overlay.

Only default and class type overlay support this function.

The content should be resized or set size hints before set to the overlay. Do not modify this object (move, show, hide, del, etc.), after set. You can only resize this.

This content is what will be inside the overlay that will be displayed. If a content is set, icon and default style layout are no more used before the content is deleted.

If `obj` is `NULL`, content inside the overlay is deleted.

See Also
  elm_map_overlay_content_get()

void* elm_map_overlay_data_get | ( | const Elm_Map_Overlay * | overlay | ) |

Get the user data stored on a overlay.

Parameters

  overlay | The overlay to return the user data.

Returns
  A pointer to data stored using elm_map_overlay_data_set(), or `NULL`, if none has been set.

See Also
  elm_map_overlay_data_set()

void elm_map_overlay_data_set | ( | Elm_Map_Overlay * | overlay,
|  | void * | data
| ) |  |

Set a pointer of user data for a overlay.

Parameters

  overlay | The overlay to own the user data.
  data | A pointer of user data

See Also
  elm_map_overlay_data_get()

void elm_map_overlay_del | ( | Elm_Map_Overlay * | overlay | ) |

Delete a overlay from the map.

This function can delete all types of overlays.

Parameters

  overlay | The overlay to be deleted.

See Also
  elm_map_overlay_add()
  elm_map_overlay_class_add()
  elm_map_overlay_bubble_add()

References elm_map_overlay_class_remove().

void elm_map_overlay_del_cb_set | ( | Elm_Map_Overlay * | overlay,
|  | Elm_Map_Overlay_Del_Cb | del_cb,
|  | void * | data
| ) |  |

Set the get callback function to call when the overlay is deleted.

Parameters

  overlay | The overlay to own the del callback function.
  get_cb | The callback function.
  data | The user callback data.

If the overlay is deleted, the callback wll be called. The deleted overlay is returned by callback.

You can delete this callback function by setting `NULL`.

Since
  1.7

int elm_map_overlay_displayed_zoom_min_get | ( | const Elm_Map_Overlay * | overlay | ) |

Get the minimum zoom from where the overlay is displayed.

Parameters

  overlay | The overlay to return the minimum zoom.

Returns
  zoom The minimum zoom.

See Also
  elm_map_overlay_displayed_zoom_min_set()

void elm_map_overlay_displayed_zoom_min_set | ( | Elm_Map_Overlay * | overlay,
|  | int | zoom
| ) |  |

Set the minimum zoom from where the overlay is displayed.

Parameters

  overlay | The overlay to be set the minimum zoom.
  zoom | The minimum zoom.

The overlay only will be displayed when the map is displayed at `zoom` or bigger.

See Also
  elm_map_overlay_displayed_zoom_min_get()

void elm_map_overlay_get_cb_set | ( | Elm_Map_Overlay * | overlay,
|  | Elm_Map_Overlay_Get_Cb | get_cb,
|  | void * | data
| ) |  |

Set the get callback function of the overlay.

Parameters

  overlay | The overlay to own the get callback function.
  get_cb | The callback function.
  data | The user callback data.

If the overlay is clicked, the callback wll be called. The clicked overlay is returned by callback.

You can add callback to the class overlay. If one of the group overlays in this class is clicked, callback will be called and return a virtual group overlays.

You can delete this callback function by setting `NULL`.

Eina_List* elm_map_overlay_group_members_get | ( | const Elm_Map_Overlay * | grp | ) |

Get the overlay members of the group overlay.

Parameters

  grp | The group overlay has overlay members.

Returns
  The list of group overlay members.

The group overlays are virtualy overlays. Those are shown and hidden dynamically. You can add callback to the class overlay. If one of the group overlays in this class is clicked, callback will be called and return a virtual group overlays.

You can change the state (hidden, paused, etc.) or set the content or icon of the group overlays by chaning the state of the class overlay. Do not modifty the group overlay itself.

See Also
  elm_map_overlay_class_add()

Eina_Bool elm_map_overlay_hide_get | ( | const Elm_Map_Overlay * | overlay | ) |

Get a value whether the overlay is hidden or not.

Parameters

  overlay | The overlay to return the hidden state.

Returns
  `EINA_TRUE` means the overlay is hidden. `EINA_FALSE` indicates it is not.

This gets the current hidden state for the overlay.

See Also
  elm_map_overlay_hide_set()

void elm_map_overlay_hide_set | ( | Elm_Map_Overlay * | overlay,
|  | Eina_Bool | hide
| ) |  |

Set if the overlay is hidden or not.

Parameters

  overlay | The overlay to be hidden.
  hide | Use `EINA_TRUE` to hide the overlay or `EINA_FALSE` to show.

See Also
  elm_map_overlay_hide_get()

const Evas_Object* elm_map_overlay_icon_get | ( | const Elm_Map_Overlay * | overlay | ) |

Get the icon object.

Parameters

  overlay | The overlay to return the icon.

Returns
  Return the icon object if it exists, else `NULL`.

Only default and class type overlay support this function.

Returned icon is what being inside the overlay that being displayed.

Do not modify this icon (move, show, hide, resize, del, etc.).

The icon can be set by elm_map_overlay_icon_set().

See Also
  elm_map_overlay_icon_set()

void elm_map_overlay_icon_set | ( | Elm_Map_Overlay * | overlay,
|  | Evas_Object * | icon
| ) |  |

Set a icon of the overlay.

Parameters

  overlay | The overlay to be set the icon.
  icon | The icon will be used to display the overlay.

Only default and class type overlay support this function.

Do not modify this object (move, show, hide, resize, del, etc.), after set.

If icon is set, default style layout will not be used.

If `icon` is `NULL`, icon inside the overlay will be deleted.

See Also
  elm_map_overlay_icon_get()

Elm_Map_Overlay* elm_map_overlay_line_add | ( | Evas_Object * | obj,
|  | double | flon,
|  | double | flat,
|  | double | tlon,
|  | double | tlat
| ) |  |

Add a new line overlay to the map object.

This overlay has a line type.

Parameters

  obj | The map object to add a new overlay.
  flon | The start longitude.
  flat | The start latitude.
  tlon | The destination longitude.
  tlat | The destination latitude.

Returns
  The created overlay or `NULL` upon failure.

Overlay created with this method can be deleted with elm_map_overlay_del().

See Also
  elm_map_overlay_del()

References elm_obj_map_overlay_line_add.

Eina_Bool elm_map_overlay_paused_get | ( | const Elm_Map_Overlay * | overlay | ) |

Get a value whether the overlay is paused or not.

Parameters

  overlay | The overlay to return paused state.

Returns
  `EINA_TRUE` means overlay is paused. `EINA_FALSE` indicates it is not.

This gets the current paused state for the overlay.

See Also
  elm_map_overlay_paused_set()

void elm_map_overlay_paused_set | ( | Elm_Map_Overlay * | overlay,
|  | Eina_Bool | paused
| ) |  |

Pause or unpause the overlay.

Parameters

  overlay | The overlay to be paused.
  paused | Use `EINA_TRUE` to pause the `overlay` or `EINA_FALSE` to unpause it.

This sets the paused state to on (`EINA_TRUE`) or off (`EINA_FALSE`) for the overlay.

The default is off.

This will stop moving the overlay coordinates instantly. even if map being scrolled or zoomed.

See Also
  elm_map_overlay_paused_get()

Elm_Map_Overlay* elm_map_overlay_polygon_add | ( | Evas_Object * | obj | ) |

Add a new polygon overlay to the map object.

This overlay has a polygon type.

Parameters

  obj | The map object to add a new overlay.

Returns
  The created overlay or `NULL` upon failure.

At least 3 regions should be added to show the polygon overlay.

Overlay created with this method can be deleted with elm_map_overlay_del().

See Also
  elm_map_overlay_polygon_region_add()
  elm_map_overlay_del()

References elm_obj_map_overlay_polygon_add.

void elm_map_overlay_polygon_region_add | ( | Elm_Map_Overlay * | overlay,
|  | double | lon,
|  | double | lat
| ) |  |

Add a geographic coordinates to the polygon overlay.

Parameters

  overlay | The polygon overlay to get a region.
  lon | The longitude.
  lat | The latitude.

At least 3 regions should be added to show the polygon overlay.

Overlay created with this method can be deleted with elm_map_overlay_del().

See Also
  elm_map_overlay_polygon_add()
  elm_map_overlay_del()

void elm_map_overlay_region_get | ( | const Elm_Map_Overlay * | overlay,
|  | double * | lon,
|  | double * | lat
| ) |  |

Get the geographic coordinates of the overlay.

Parameters

  overlay | The overlay to return geographic coordinates.
  lon | Pointer to store longitude.
  lat | Pointer to store latitude.

Only default and bubble type overlay support this function.

This returns the center coordinates of the overlay. It can be set by elm_map_overlay_region_set().

See Also
  elm_map_overlay_region_set()

void elm_map_overlay_region_set | ( | Elm_Map_Overlay * | overlay,
|  | double | lon,
|  | double | lat
| ) |  |

Set the geographic coordinates of the overlay.

Parameters

  overlay | The overlay to be set geographic coordinates.
  lon | Longitude to be set.
  lat | Latitude to be set.

Only default and bubble type overlay support this function.

This sets the center coordinates of the overlay. It can be get by elm_map_overlay_region_get().

See Also
  elm_map_overlay_region_get()

Elm_Map_Overlay* elm_map_overlay_route_add | ( | Evas_Object * | obj,
|  | const Elm_Map_Route * | route
| ) |  |

Add a new route overlay to the map object.

This overlay has a route type.

Parameters

  obj | The map object to add a new overlay.
  route | The route object to make a overlay.

Returns
  The created overlay or `NULL` upon failure.

This overlay has a route style layout and icon or content can not be set.

The color scheme can be changed by elm_map_overlay_content_set().

Overlay created with this method can be deleted with elm_map_overlay_del().

See Also
  elm_map_overlay_del()
  elm_map_overlay_class_add()
  elm_map_overlay_content_set()
  elm_map_overlay_content_get()

References elm_obj_map_overlay_route_add.

Elm_Map_Overlay* elm_map_overlay_scale_add | ( | Evas_Object * | obj,
|  | Evas_Coord | x,
|  | Evas_Coord | y
| ) |  |

Add a new scale overlay to the map object.

This overlay has a scale type.

Parameters

  obj | The map object to add a new overlay.
  x | horizontal pixel coordinate.
  y | vertical pixel coordinate

Returns
  The created overlay or `NULL` upon failure.

The scale overlay shows the ratio of a distance on the map to the corresponding distance.

Overlay created with this method can be deleted with elm_map_overlay_del().

See Also
  elm_map_overlay_del()

References elm_obj_map_overlay_scale_add.

void elm_map_overlay_show | ( | Elm_Map_Overlay * | overlay | ) |

Show the given overlay at the center of the map, immediately.

Parameters

  overlay | The overlay to be center at.

This causes map to redraw its viewport's contents to the region containing the given `overlay's` coordinates, that will be moved to the center of the map.

See Also
  elm_map_overlays_show() if more than one overlay need to be displayed.

References elm_map_region_show().

Elm_Map_Overlay_Type elm_map_overlay_type_get | ( | const Elm_Map_Overlay * | overlay | ) |

Get the overlay type.

Parameters

  overlay | The overlay to return type.

Returns
  Return the overlay type.

This type is resolved when the overlay is created.

See Also
  elm_map_overlay_add()
  elm_map_overlay_class_add()
  elm_map_overlay_bubble_add()

Eina_Bool elm_map_overlay_visible_get | ( | const Elm_Map_Overlay * | overlay | ) |

Get a value whether the overlay is visible or not.

Parameters

  overlay | The overlay to return visible state.

Returns
  `EINA_TRUE` means overlay is visible. `EINA_FALSE` indicates it is not.

The visible of the overlay can not be set. This value can be changed dynamically while zooming and panning

Since
  1.7

Eina_List* elm_map_overlays_get | ( | Evas_Object * | obj | ) |

Return all overlays in the map object.

Parameters

  obj | The map object to return overlays.

Returns
  The list of all overlays or `NULL` upon failure.

This list includes group overlays also. So this can be changed dynamically while zooming and panning.

Since
  1.7

References elm_obj_map_overlays_get.

void elm_map_overlays_show | ( | Eina_List * | overlays | ) |

Move and zoom the map to display a list of overlays.

Parameters

  overlays | A list of #Elm_Map_Overlay handles.

The map will be centered on the center point of the overlays in the list. Then the map will be zoomed in order to fit the overlays using the maximum zoom which allows display of all the overlays.

Warning
  All the overlays should belong to the same map object.

See Also
  elm_map_overlay_show() to show a single overlay.

Eina_Bool elm_map_paused_get | ( | const Evas_Object * | obj | ) |

Get a value whether map is paused or not.

Parameters

  obj | The map object.

Returns
  `EINA_TRUE` means map is pause. `EINA_FALSE` indicates it is not.

This gets the current paused state for the map object.

See Also
  elm_map_paused_set() for details.

References elm_obj_map_paused_get.

void elm_map_paused_set | ( | Evas_Object * | obj,
|  | Eina_Bool | paused
| ) |  |

Pause or unpause the map.

Parameters

  obj | The map object.
  paused | Use `EINA_TRUE` to pause the map `obj` or `EINA_FALSE` to unpause it.

This sets the paused state to on (`EINA_TRUE`) or off (`EINA_FALSE`) for map.

The default is off.

This will stop zooming using animation, changing zoom levels will change instantly. This will stop any existing animations that are running.

See Also
  elm_map_paused_get()

References elm_obj_map_paused_set.

void elm_map_region_bring_in | ( | Evas_Object * | obj,
|  | double | lon,
|  | double | lat
| ) |  |

Animatedly bring in given coordinates to the center of the map.

Parameters

  obj | The map object.
  lon | Longitude to center at.
  lat | Latitude to center at.

This causes map to jump to the given `lat` and `lon` coordinates and show it (by scrolling) in the center of the viewport, if it is not already centered. This will use animation to do so and take a period of time to complete.

See Also
  elm_map_region_show() for a function to avoid animation.
  elm_map_region_get()

References elm_obj_map_region_bring_in.

void elm_map_region_get | ( | const Evas_Object * | obj,
|  | double * | lon,
|  | double * | lat
| ) |  |

Get the current geographic coordinates of the map.

Parameters

  obj | The map object.
  lon | Pointer to store longitude.
  lat | Pointer to store latitude.

This gets the current center coordinates of the map object. It can be set by elm_map_region_bring_in() and elm_map_region_show().

See Also
  elm_map_region_bring_in()
  elm_map_region_show()

References elm_obj_map_region_get.

void elm_map_region_show | ( | Evas_Object * | obj,
|  | double | lon,
|  | double | lat
| ) |  |

Show the given coordinates at the center of the map, immediately.

Parameters

  obj | The map object.
  lon | Longitude to center at.
  lat | Latitude to center at.

This causes map to redraw its viewport's contents to the region containing the given `lat` and `lon`, that will be moved to the center of the map.

See Also
  elm_map_region_bring_in() for a function to move with animation.
  elm_map_region_get()

References elm_obj_map_region_show.

Referenced by elm_map_overlay_show().

void elm_map_region_to_canvas_convert | ( | const Evas_Object * | obj,
|  | double | lon,
|  | double | lat,
|  | Evas_Coord * | x,
|  | Evas_Coord * | y
| ) |  |

Convert geographic coordinates (longitude, latitude) into canvas coordinates.

Parameters

  obj | The map object.
  lon | The longitude to convert.
  lat | The latitude to convert.
  x | A pointer to horizontal coordinate.
  y | A pointer to vertical coordinate.

This gets canvas x, y coordinates from longitude and latitude. The canvas coordinates mean x, y coordinate from current viewport.

see elm_map_canvas_to_region_convert()

References elm_obj_map_region_to_canvas_convert.

void elm_map_rotate_get | ( | const Evas_Object * | obj,
|  | double * | degree,
|  | Evas_Coord * | cx,
|  | Evas_Coord * | cy
| ) |  |

Get the rotate degree of the map.

Parameters

  obj | The map object
  degree | Pointer to store degrees from 0.0 to 360.0 to rotate around Z axis.
  cx | Pointer to store rotation's center horizontal position.
  cy | Pointer to store rotation's center vertical position.

See Also
  elm_map_rotate_set() to set map rotation.

References elm_obj_map_rotate_get.

void elm_map_rotate_set | ( | Evas_Object * | obj,
|  | double | degree,
|  | Evas_Coord | cx,
|  | Evas_Coord | cy
| ) |  |

Rotate the map.

Parameters

  obj | The map object.
  degree | Angle from 0.0 to 360.0 to rotate around Z axis.
  cx | Rotation's center horizontal position.
  cy | Rotation's center vertical position.

See Also
  elm_map_rotate_get()

References elm_obj_map_rotate_set.

Elm_Map_Route* elm_map_route_add | ( | Evas_Object * | obj,
|  | Elm_Map_Route_Type | type,
|  | Elm_Map_Route_Method | method,
|  | double | flon,
|  | double | flat,
|  | double | tlon,
|  | double | tlat,
|  | Elm_Map_Route_Cb | route_cb,
|  | void * | data
| ) |  |

Add a new route to the map object.

Parameters

  obj | The map object.
  type | The type of transport to be considered when tracing a route.
  method | The routing method, what should be prioritized.
  flon | The start longitude.
  flat | The start latitude.
  tlon | The destination longitude.
  tlat | The destination latitude.
  route_cb | The route to be traced.
  data | A pointer of user data.

Returns
  The created route or `NULL` upon failure.

A route will be traced by point on coordinates (`flat`, `flon`) to point on coordinates (`tlat`, `tlon`), using the route service set with elm_map_source_set().

It will take `type` on consideration to define the route, depending if the user will be walking or driving, the route may vary. One of ELM_MAP_ROUTE_TYPE_MOTOCAR, ELM_MAP_ROUTE_TYPE_BICYCLE, or ELM_MAP_ROUTE_TYPE_FOOT need to be used.

Another parameter is what the route should prioritize, the minor distance or the less time to be spend on the route. So `method` should be one of ELM_MAP_ROUTE_METHOD_SHORTEST or ELM_MAP_ROUTE_METHOD_FASTEST.

Routes created with this method can be deleted with elm_map_route_del(), and distance can be get with elm_map_route_distance_get().

See Also
  elm_map_route_del()
  elm_map_route_distance_get()
  elm_map_source_set()

References elm_obj_map_route_add.

void elm_map_route_del | ( | Elm_Map_Route * | route | ) |

Remove a route from the map.

Parameters

  route | The route to remove.

See Also
  elm_map_route_add()

double elm_map_route_distance_get | ( | const Elm_Map_Route * | route | ) |

Get the route distance in kilometers.

Parameters

  route | The route object.

Returns
  The distance of route (unit : km).

const char* elm_map_route_node_get | ( | const Elm_Map_Route * | route | ) |

Get the information of route nodes.

Parameters

  route | The route object.

Returns
  Returns a string with the nodes of route.

const char* elm_map_route_waypoint_get | ( | const Elm_Map_Route * | route | ) |

Get the information of route waypoint.

Parameters

  route | the route object.

Returns
  Returns a string with information about waypoint of route.

const char* elm_map_source_get | ( | const Evas_Object * | obj,
|  | Elm_Map_Source_Type | type
| ) |  |

Get the name of currently used source for a specific type.

Parameters

  obj | The map object.
  type | source type.

Returns
  Returns the name of the source in use.

See Also
  elm_map_sources_get()
  elm_map_source_set()

References elm_obj_map_source_get.

void elm_map_source_set | ( | Evas_Object * | obj,
|  | Elm_Map_Source_Type | type,
|  | const char * | source_name
| ) |  |

Set the current source of the map for a specific type.

Parameters

  obj | The map object.
  type | source type.
  source_name | The source to be used.

Map widget retrieves tile images that composes the map from a web service. This web service can be set with this method for ELM_MAP_SOURCE_TYPE_TILE type. A different service can return a different maps with different information and it can use different zoom values.

Map widget provides route data based on a external web service. This web service can be set with this method for ELM_MAP_SOURCE_TYPE_ROUTE type.

Map widget also provide geoname data based on a external web service. This web service can be set with this method for ELM_MAP_SOURCE_TYPE_NAME type.

The `source_name` need to match one of the names provided by elm_map_sources_get().

The current source can be get using elm_map_source_get().

See Also
  elm_map_sources_get()
  elm_map_source_get()

References elm_obj_map_source_set.

const char** elm_map_sources_get | ( | const Evas_Object * | obj,
|  | Elm_Map_Source_Type | type
| ) |  |

Get the names of available sources for a specific type.

Parameters

  obj | The map object.
  type | source type.

Returns
  The char pointer array of source names.

It will provide a list with all available sources. Current source can be set by elm_map_source_set(), or get with elm_map_source_get().

At least available sources of tile type:

- "Mapnik"
- "Osmarender"
- "CycleMap"
- "Maplint"

At least available sources of route type:

- "Yours"

At least available sources of name type:

- "Nominatim"

See Also
  elm_map_source_set()
  elm_map_source_get()

References elm_obj_map_sources_get.

void elm_map_tile_load_status_get | ( | const Evas_Object * | obj,
|  | int * | try_num,
|  | int * | finish_num
| ) |  |

Get the information of tile load status.

Parameters

  obj | The map object.
  try_num | Pointer to store number of tiles download requested.
  finish_num | Pointer to store number of tiles successfully downloaded.

This gets the current tile loaded status for the map object.

References elm_obj_map_tile_load_status_get.

Evas_Object* elm_map_track_add | ( | Evas_Object * | obj,
|  | void * | emap
| ) |  |

Add a track on the map.

Parameters

  obj | The map object.
  emap | The emap route object.

Returns
  The route object. This is an elm object of type Route.

See Also
  elm_route_add() for details.

void elm_map_track_remove | ( | Evas_Object * | obj,
|  | Evas_Object * | route
| ) |  |

Remove a track from the map.

Parameters

  obj | The map object.
  route | The track to remove.

const char* elm_map_user_agent_get | ( | const Evas_Object * | obj | ) |

Get the user agent used by the map object.

Parameters

  obj | The map object.

Returns
  The user agent identification string used by the map.

See Also
  elm_map_user_agent_set() for details.

References elm_obj_map_user_agent_get.

void elm_map_user_agent_set | ( | Evas_Object * | obj,
|  | const char * | user_agent
| ) |  |

Set the user agent used by the map object to access routing services.

Parameters

  obj | The map object.
  user_agent | The user agent to be used by the map.

User agent is a client application implementing a network protocol used in communications within a client–server distributed computing system

The `user_agent` identification string will transmitted in a header field `User-Agent`.

See Also
  elm_map_user_agent_get()

References elm_obj_map_user_agent_set.

Eina_Bool elm_map_wheel_disabled_get | ( | const Evas_Object * | obj | ) |

Get a value whether mouse wheel is enabled or not.

Parameters

  obj | The map object.

Returns
  `EINA_TRUE` means map is disabled. `EINA_FALSE` indicates it is enabled.

Mouse wheel can be used for the user to zoom in or zoom out the map.

See Also
  elm_map_wheel_disabled_set() for details.

References elm_obj_map_wheel_disabled_get.

void elm_map_wheel_disabled_set | ( | Evas_Object * | obj,
|  | Eina_Bool | disabled
| ) |  |

Enable or disable mouse wheel to be used to zoom in / out the map.

Parameters

  obj | The map object.
  disabled | Use `EINA_TRUE` to disable mouse wheel or `EINA_FALSE` to enable it.

Mouse wheel can be used for the user to zoom in or zoom out the map.

It's disabled by default.

See Also
  elm_map_wheel_disabled_get()

References elm_obj_map_wheel_disabled_set.

int elm_map_zoom_get | ( | const Evas_Object * | obj | ) |

Get the zoom level of the map.

Parameters

  obj | The map object.

Returns
  The current zoom level.

This returns the current zoom level of the map object.

Note that if you set the fill mode to other than ELM_MAP_ZOOM_MODE_MANUAL (which is the default), the zoom level may be changed at any time by the map object itself to account for map size and map viewport size.

See Also
  elm_map_zoom_set() for details.

References elm_obj_map_zoom_get.

int elm_map_zoom_max_get | ( | const Evas_Object * | obj | ) |

Get the maximum zoom of the source.

Parameters

  obj | The map object.

Returns
  Returns the maximum zoom of the source.

See Also
  elm_map_zoom_max_set() for details.

References elm_obj_map_zoom_max_get.

void elm_map_zoom_max_set | ( | Evas_Object * | obj,
|  | int | zoom
| ) |  |

Set the maximum zoom of the source.

Parameters

  obj | The map object.
  zoom | New maximum zoom value to be used.

See Also
  elm_map_zoom_max_get() for details.

References elm_obj_map_zoom_max_set.

int elm_map_zoom_min_get | ( | const Evas_Object * | obj | ) |

Get the minimum zoom of the source.

Parameters

  obj | The map object.

Returns
  Returns the minimum zoom of the source.

See Also
  elm_map_zoom_min_set() for details.

References elm_obj_map_zoom_min_get.

void elm_map_zoom_min_set | ( | Evas_Object * | obj,
|  | int | zoom
| ) |  |

Set the minimum zoom of the source.

Parameters

  obj | The map object.
  zoom | New minimum zoom value to be used.

See Also
  elm_map_zoom_min_get() for details.

References elm_obj_map_zoom_min_set.

Elm_Map_Zoom_Mode elm_map_zoom_mode_get | ( | const Evas_Object * | obj | ) |

Get the zoom mode used by the map object.

Parameters

  obj | The map object.

Returns
  The zoom mode of the map, being it one of ELM_MAP_ZOOM_MODE_MANUAL (default), ELM_MAP_ZOOM_MODE_AUTO_FIT, or ELM_MAP_ZOOM_MODE_AUTO_FILL.

This function returns the current zoom mode used by the map object.

See Also
  elm_map_zoom_mode_set() for more details.

References ELM_MAP_ZOOM_MODE_MANUAL, and elm_obj_map_zoom_mode_get.

void elm_map_zoom_mode_set | ( | Evas_Object * | obj,
|  | Elm_Map_Zoom_Mode | mode
| ) |  |

Set the zoom mode used by the map object.

Parameters

  obj | The map object.
  mode | The zoom mode of the map, being it one of ELM_MAP_ZOOM_MODE_MANUAL (default), ELM_MAP_ZOOM_MODE_AUTO_FIT, or ELM_MAP_ZOOM_MODE_AUTO_FILL.

This sets the zoom mode to manual or one of the automatic levels. Manual (ELM_MAP_ZOOM_MODE_MANUAL) means that zoom is set manually by elm_map_zoom_set() and will stay at that level until changed by code or until zoom mode is changed. This is the default mode.

The Automatic modes will allow the map object to automatically adjust zoom mode based on properties. ELM_MAP_ZOOM_MODE_AUTO_FIT will adjust zoom so the map fits inside the scroll frame with no pixels outside this area. ELM_MAP_ZOOM_MODE_AUTO_FILL will be similar but ensure no pixels within the frame are left unfilled. Do not forget that the valid sizes are 2^zoom, consequently the map may be smaller than the scroller view.

See Also
  elm_map_zoom_set()

References elm_obj_map_zoom_mode_set.

void elm_map_zoom_set | ( | Evas_Object * | obj,
|  | int | zoom
| ) |  |

Set the zoom level of the map.

Parameters

  obj | The map object.
  zoom | The zoom level to set.

This sets the zoom level.

It will respect limits defined by elm_map_zoom_min_set() and elm_map_zoom_max_set().

By default these values are 0 (world map) and 18 (maximum zoom).

This function should be used when zoom mode is set to ELM_MAP_ZOOM_MODE_MANUAL. This is the default mode, and can be set with elm_map_zoom_mode_set().

See Also
  elm_map_zoom_mode_set()
  elm_map_zoom_get()

References elm_obj_map_zoom_set.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:14